package cn.iocoder.yudao.module.customer.dal.mysql.indirectCustomer;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.customer.dal.dataobject.customer.CustomerDO;
import cn.iocoder.yudao.module.customer.dal.dataobject.indirectCustomer.IndirectCustomerDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.customer.vo.indirectCustomer.*;
import org.apache.ibatis.annotations.Param;

/**
 * 间接客户 Mapper
 * @author yanghao
 */
@Mapper
public interface IndirectCustomerMapper extends AbstractMapper<IndirectCustomerDO> {


    IPage<IndirectCustomerDO> getPage(IPage<IndirectCustomerDO> page,
                              @Param(Constants.WRAPPER) Wrapper<IndirectCustomerDO> queryWrapper);

    List<IndirectCustomerDO> getList(@Param(Constants.WRAPPER) Wrapper<IndirectCustomerDO> queryWrapper);
}
